package com.hcloud.microserver.facade.carbon.client;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.entity.CarbonPlatformStatiticsNum;
import com.hcloud.microserver.facade.carbon.fallback.impl.BasePositionFallback;
import com.hcloud.microserver.facade.carbon.fallback.impl.CarbonStatisticsFallback;
import com.hcloud.microserver.facade.carbon.forms.CarbonTrendForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "carbon-service", path = "/statistics", fallbackFactory = CarbonStatisticsFallback.class)
public interface CarbonStatisticsClient {

    @GetMapping("/carbon/statistics/total")
    public ResultVO<CarbonPlatformStatiticsNum> carbonPlatformStatitics();

    @GetMapping("/carbon/buy/amont")
    public ResultVO buyAmont(CarbonTrendForm form);
}
