package com.hcloud.microserver.facade.carbon.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel(value = "碳汇平台统计",description = "碳汇平台的用户量统计")
public class CarbonPlatformStatiticsNum {
    @ApiModelProperty("企业总数")
    private BigDecimal compNum;

    @ApiModelProperty("用户总数")
    private BigDecimal customerNum;

    @ApiModelProperty("企业用户占总用户的占比")
    private BigDecimal compCustomerPercentage;

    @ApiModelProperty("不是企业用户占总用户的占比")
    private BigDecimal NoCompCustomerPercentage;

    @ApiModelProperty("平台用户访问量")
    private BigDecimal views;

    @ApiModelProperty("产品总量")
    private BigDecimal productNum;

    @ApiModelProperty("产品各类别占量")
    private List<CarbonStatisticsProduct> productList;

    @ApiModelProperty("交易订单量")
    private BigDecimal orderNum;


    @ApiModelProperty("农户数量")
    private BigDecimal farmerTotalNum;

    @ApiModelProperty("集体数量")
    private BigDecimal collectiveTotalNum;

    @ApiModelProperty("各集体农户占比")
    private List<CarbonStatisticsFarmer> farmerList;

    @ApiModelProperty("总销售量")
    private BigDecimal carbonTotalBuy;






}
