package com.hcloud.microserver.facade.carbon.fallback.impl;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microserver.facade.carbon.entity.CarbonPlatformStatiticsNum;
import com.hcloud.microserver.facade.carbon.fallback.CarbonStatisticsFallbackFactory;
import com.hcloud.microserver.facade.carbon.forms.CarbonTrendForm;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class CarbonStatisticsFallback implements FallbackFactory<CarbonStatisticsFallbackFactory> {
    @Override
    public CarbonStatisticsFallbackFactory create(Throwable throwable) {
        return new CarbonStatisticsFallbackFactory() {

            @Override
            public ResultVO<CarbonPlatformStatiticsNum> carbonPlatformStatitics() {
                log.error("findByCodes 熔断");
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO buyAmont(CarbonTrendForm form) {
                log.error("findByCodes 熔断");
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
