package com.hcloud.microserver.bank.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.bank.dao.CarbonStatisticsMapper;
import com.hcloud.microserver.bank.service.CarbonStatisticsService;
import com.hcloud.microserver.facade.carbon.entity.CarbonPlatformStatiticsNum;
import com.hcloud.microserver.facade.carbon.entity.CarbonStatisticsBuyTrend;
import com.hcloud.microserver.facade.carbon.entity.CarbonStatisticsProduct;
import com.hcloud.microserver.facade.carbon.forms.CarbonTrendForm;
import com.netflix.discovery.converters.Auto;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

@Slf4j
@Service
public class CarbonStatisticsServiceImpl implements CarbonStatisticsService {

    @Autowired
    private CarbonStatisticsMapper carbonStatisticsMapper;

    @Override
    public CarbonPlatformStatiticsNum carbonPlatformTotal() {
        CarbonPlatformStatiticsNum carbonPlatformStatiticsNum = carbonStatisticsMapper.carbonPlatformTotalStatitics();
        List<CarbonStatisticsProduct> carbonStatisticsProducts =
                carbonStatisticsMapper.carbonProductDetailStatistics();
        carbonPlatformStatiticsNum.setProductList(carbonStatisticsProducts);
        return carbonPlatformStatiticsNum;
    }

    @Override
    public PageInfo<CarbonStatisticsBuyTrend> carbonStatisticsBuyTrend(CarbonTrendForm trendForm) {
        if (trendForm.getEndTime()==null||trendForm.getStartTime()==null){
            trendForm.setEndTime(new Date());
            trendForm.setStartTime(getStartMonthDate(new Date()));
        }
        PageHelper.startPage(trendForm.getPageNo(),trendForm.getPageSize());
        List<CarbonStatisticsBuyTrend> trends = carbonStatisticsMapper.carbonStatisticsBuyTrend(trendForm);

        return new PageInfo<>(trends);
    }

    private  SimpleDateFormat format = new SimpleDateFormat("yyyyMMdd");
    private  SimpleDateFormat format1 = new SimpleDateFormat(
            "yyyyMMdd HH:mm:ss");

    /**
     * 得到指定日期的一天的的最后时刻23:59:59
     *
     * @param date
     * @return
     */
    private  Date getFinallyDate(Date date) {
        String temp = format.format(date);
        temp += " 23:59:59";

        try {
            return format1.parse(temp);
        } catch (Exception e) {
            return null;
        }
    }

    /**
     * 得到指定日期的一天的开始时刻00:00:00
     *
     * @param date
     * @return
     */
    private  Date getStartDate(Date date) {
        String temp = format.format(date);
        temp += " 00:00:00";

        try {
            return format1.parse(temp);
        } catch (Exception e) {
            return null;
        }
    }

    private  Date getStartMonthDate(Date date) {
        SimpleDateFormat format = new SimpleDateFormat("yyyyMM");
        String temp = format.format(date);
        temp += "01 00:00:00";

        try {
            return format1.parse(temp);
        } catch (Exception e) {
            return null;
        }
    }
}
