package com.hcloud.microserver.bank.web.provide;



import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseController;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.client.CarbonStatisticsClient;
import com.hcloud.microserver.facade.carbon.entity.CarbonPlatformStatiticsNum;
import com.hcloud.microserver.facade.carbon.entity.CarbonStatisticsBuyTrend;
import com.hcloud.microserver.facade.carbon.forms.CarbonTrendForm;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/statistics")
@Api("碳汇统计")
public class CarbonStatisticsWebController extends BaseController {
    @Autowired
    private CarbonStatisticsClient carbonStatisticsClient;

    @ApiOperation("总碳汇统计")
    @GetMapping("/carbon/statistics/total")
    public ResultVO<CarbonPlatformStatiticsNum> carbonPlatformStatitics(){
        ResultVO<CarbonPlatformStatiticsNum> carbonPlatformStatiticsNumResultVO = carbonStatisticsClient.carbonPlatformStatitics();
        return carbonPlatformStatiticsNumResultVO;
    }

    @ApiOperation("碳汇趋势统计")
    @GetMapping("/carbon/buy/amont")
    public ResultVO buyAmont(CarbonTrendForm form){
        ResultVO carbonPlatformStatiticsNumResultVO = carbonStatisticsClient.buyAmont(form);
        return carbonPlatformStatiticsNumResultVO;
    }
}
